Name:           janino
Version:        3.1.10
Release:        %mkrel 4
Group:          Development/Java
Summary:        Super-small, super-fast Java compiler
License:        BSD-3-Clause
URL:            http://janino-compiler.github.io/janino
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/janino-compiler/janino/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)

Requires:       javapackages-tools
Requires:       commons-compiler = %{version}-%{release}

%description
Janino is a super-small, super-fast Java compiler.

The "JANINO" implementation of the "commons-compiler" API: Super-small,
super-fast, independent from the JDK's "tools.jar".

%package -n commons-compiler
Summary:        Commons Compiler
%description -n commons-compiler
The "commons-compiler" API, including the "IExpressionEvaluator",
"IScriptEvaluator", "IClassBodyEvaluator" and "ISimpleCompiler" interfaces.

%package -n commons-compiler-jdk
Summary:        Commons Compiler JDK
%description -n commons-compiler-jdk
The "JDK" implementation of the "commons-compiler" API that uses the
JDK's Java compiler (JAVAC) in "tools.jar".

%package javadoc
Summary:        API documentation for %{name}
%description javadoc
API documentation for %{name}.

%prep
%autosetup
cd %{name}-parent
# remove maven.compiler.* properties
  %pom_xpath_remove pom:maven.compiler.executable
  %pom_xpath_remove pom:maven.compiler.fork
# remove staging maven plugin
  %pom_remove_plugin :nexus-staging-maven-plugin
# remove jarsigner plugin
  %pom_remove_plugin :maven-jarsigner-plugin
# remove javadoc plugin:
  %pom_remove_plugin :maven-javadoc-plugin
# remove source plugin:
  %pom_remove_plugin :maven-source-plugin
# disable tests module
  %pom_disable_module ../commons-compiler-tests
# don't install parent
  %mvn_package :%{name}-parent __noinstall
cd -

%build

cd %{name}-parent
# de.unkrig.jdisasm:jdisasm is missing
  %mvn_build -s -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8
cd -

%install

cd %{name}-parent
  %mvn_install
# create janinoc script
  %jpackage_script org.codehaus.commons.compiler.samples.CompilerDemo "" "" %{name}/janino:%{name}/commons-compiler janinoc true
cd -

%files -f %{name}-parent/.mfiles-%{name}
%license LICENSE
%{_bindir}/janinoc

%files -n commons-compiler -f %{name}-parent/.mfiles-commons-compiler
%license LICENSE
%files -n commons-compiler-jdk -f %{name}-parent/.mfiles-commons-compiler-jdk
%license LICENSE
%files javadoc -f %{name}-parent/.mfiles-javadoc
%license LICENSE




%changelog
* Tue Jul 01 2025 umeabot <umeabot> 3.1.10-4.mga10
+ Revision: 2232638
- Mageia 10 Mass Rebuild

* Mon Dec 23 2024 daviddavid <daviddavid> 3.1.10-3.mga10
+ Revision: 2129334
- Set Java source/target to 1.8 to build with JDK 21

* Thu May 23 2024 ns80 <ns80> 3.1.10-2.mga10
+ Revision: 2066475
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 3.1.10-1.mga10
+ Revision: 1986530
- Update to 3.1.10 (#2219584)
- migrate to SPDX license

* Fri Dec 09 2022 daviddavid <daviddavid> 3.1.7-1.mga9
+ Revision: 1919729
- New upstream release 3.1.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.7.8-10.mga8
+ Revision: 1521061
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 daviddavid <daviddavid> 2.7.8-9.mga7
+ Revision: 1341636
- rebuild against current java stack

* Tue Sep 18 2018 umeabot <umeabot> 2.7.8-8.mga7
+ Revision: 1263310
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2.7.8-7.mga6
+ Revision: 982188
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.7.8-6.mga6
+ Revision: 976529
- First rebuild of the java stack
- sync package janino with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.6.1-9.mga5
+ Revision: 805662
- Clean rebuild
- Sync with Fedora 21
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-7.mga5
+ Revision: 742405
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 2.6.1-5.mga4
+ Revision: 557531
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6.1-3.mga3
+ Revision: 354740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.6.1-2.mga3
+ Revision: 292952
- Rebuilt RHBZ #842604 (compile with -target 1.5 or greater)

* Wed Jun 20 2012 dmorgan <dmorgan> 2.6.1-1.mga3
+ Revision: 262191
- New version 2.6.1

* Thu Oct 27 2011 gil <gil> 2.5.16-1.mga2
+ Revision: 158838
- update to 1.5.16

* Fri Jun 10 2011 gil <gil> 2.5.15-0.mga2
+ Revision: 102822
- imported package janino

